import { Component, OnInit } from '@angular/core';
import * as wjcCore from "wijmo/wijmo";
import * as wjcGrid from "wijmo/wijmo.grid";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
  data:wjcCore.CollectionView;
  lastEdited;
  formatter;
  startEdit;
  selectedColSortStatus;
  selectedColSort;
  handleChange;

  constructor(){
        let data=[];
        let descripitons=["This is a testing content for showing long content in FlexGrid.", "Long content can be shown using wordWrap and width property and autoSizeRow method.autoSizeMethod should be called when data loaded in FlexGrid"];
        let countries = 'US,UK,Japan,China'.split(',');
        for (let i = 0; i < 50; i++) {
            data.push({
                id: i,
                description: descripitons[i%2],
                country: countries[i % countries.length],
                sales: Math.random() * 11111,
                downloads: Math.random()*1455
            });
        }
        this.data=new wjcCore.CollectionView(data);
  }

  ngOnInit():void{
    this.formatter=(panel,r,c,cell)=>{
      if(panel.cellType==wjcGrid.CellType.RowHeader&&r==this.lastEdited){
        cell.innerHTML="<span class='wj-glyph-pencil'></span>";
      }
    }

    this.startEdit=(event)=>{
      this.lastEdited=event.row;
      event.panel.grid.refresh();
    }

    this.handleChange=(flex,item)=>{
      if(!item){
        return;
      }
      var col=flex.columns.getColumn(item.binding);
      if(!col.currentSort){
        this.selectedColSortStatus=false;
      }else{
        this.selectedColSortStatus=true;
        this.selectedColSort=col.currentSort;
      }
    }
  }

  
}
